TOUCH(1)

NOME
touch - altera o rótulo de tempo do arquivo

SINOPSE
touch [-acm][-r ref_file|-t time] file...

Versão obsoleta:
touch [-acm][ugly_time] file...

Versão GNU:
touch [-acfm] [-r file] [-t decimtime] [-d time] [--time={atime,access,use,mtime,modify}] [--date=time] [--reference=file] [--no-create] [--help] [--version] [--] file...

DESCRIÇÃO
touch altera o acesso e/ou os rótulos de tempo de modificação de cada arquivo especificado. Estes rótulos de tempo são alterados para o tempo atual, a menos que a opção -r option seja especificada, neste caso eles são alterados para os rótulos de tempo correspondentes para as do arquivo arquivo_de_referência, ou se a opção -t é especificada, neste caso eles são alteradas para o tempo especificado. Ambas as datas são alteradas quando nenhuma ou ambas opções -a e -m são fornecidas. Somente a data de acesso ou somente a data de alteração são alteradas quando uma da opções -a e -m é fornecida. Se o arquivo não existe ainda, ele é criado (como um arquivo vazio com o modo 0666, modificado pelo bits da umask), a menos que a opção -c seja fornecida.

OPÇÕES POSIX

-a  Altera a data de acesso do arquivo.

-c  Não cria o arquivo.

-m  Altera a data de modificação do arquivo.

-r arquivo_de_referência
    Usa o rótulo de tempo correspondente do arquivo_de_referência como o novo valor para o(s) rótulo(s) de tempo alterado.

-t time
    Usa a data especificada como novo valor para o(s) rótulo(s) de tempo alterado. O argumento é um número decimal na forma
        [[CC]YY]MMDDhhmm[.SS]
    com significado óbvio. Se CC não é especificado, o ano CCYY é considerado no intervalo de 1969-2068. SE SS não é especificado, ele é considerado como 0. Ele pode ser especificado no intervalo 0-61 de forma que isto é possível se referir a saltos de segundos. A data resultante é considerada como a data para o fuso horário especificado pela variável de ambiente TZ. É errado se a data resultante antecede 1 de Janeiro de 1970.

DETALHES POSIX
A segunda forma de se invocar tem a desvantagem que existe alguma ambigüidade se ugly_time é um tempo ou um argumento do arquivo. Ele é considerado como uma data quando as opções -r ou -t não estão presentes, há pelo menos dois arqumentos, e o primeiro argumento é um número inteiro na base octal ou decimal. O formato de ugly_time é MMDDhhmm[yy], onde o yy no intervalo 66-99 denota um ano entre 1969-1999, e um yy sem especificação denota o ano atual. Esta forma é obsoleta.

DETALHES GNU
Se o primeiro arquivo fosse um argumento válido para a opção -t e não nenhum rótulo de tempo fosse fornecido com qualquer das opções -d, -r ou -t e o argumento '--' não for fornecido, aquele argumento é interpretado como a data para os outros arquivos.

Se alterando a data de acesso e data de modificação, para o tempo atual touch pode alterar a marca de tempo para arquivos que o usuário executa mas não lhe pertencem embora tenha permissão de escrita. De outra forma, o usuário terá que ser dono dos arquivos.

OPÇÕES GNU

-a, --time=atime, --time=accesso, --time=use
    Altera somente a data de acesso.

-c, --no-create
    Não cria arquivos que não existem.

-d, --date=tempo
    Usa tempo no lugar do tempo atual. Ele pode conter nome de meses, fusos horários, 'am' e 'pm', etc.

-f  Ignorado; para compatibilidade com as versões BSD do comando touch(1).

-m, --time=mtime, --time=modificação
    Altera somente a data de modificação.

-r arquivo, --reference=arquivo
    Usa a data referenciada no arquivo no lugar do tempo atual.

-t tempo_decimal
    Aqui tempo_decimal tem o formato MMDDhhmm[[CC]YY][.ss] Use o argumento (meses, dias, horas, minutos, século é opcional e anos, segundo é opcional) no lugar do tempo atual. Note que este formato viola as especificações POSIX.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
A variável TZ é usada para interpretar explicitamente o tempo fornecido. As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2 descreve a sintaxe para o argumento da opção -t que difere da usada pela implemetação GNU.

EXEMPLO DE USO
O comando 'touch foo' irá criar o arquivo foo se ele não existia, e alterará a data da última modificação para agora. Ele é freqüentemente usado para guiar ações do make.

NOTAS
Esta página descreve touch como é encontrada no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)